summaryrefslogtreecommitdiffstats
path: root/bin/emerge-webrsync
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2006-03-18 20:29:55 +0000
committerZac Medico <zmedico@gentoo.org>2006-03-18 20:29:55 +0000
commitb8a4f9798f2fca741f0eef3a029f1fa09bb5823c (patch)
treee61db15bcd164c80d5960528f9683f3f4a41110c /bin/emerge-webrsync
parentf1567a5e44d32b79838330d5b7e5350f609571a1 (diff)
downloadportage-b8a4f9798f2fca741f0eef3a029f1fa09bb5823c.tar.gz
portage-b8a4f9798f2fca741f0eef3a029f1fa09bb5823c.tar.bz2
portage-b8a4f9798f2fca741f0eef3a029f1fa09bb5823c.zip
Make PORTAGE_INST_UID and PORTAGE_INST_GID default to 0 in case of environment problems.
svn path=/main/trunk/; revision=2942
Diffstat (limited to 'bin/emerge-webrsync')
-rwxr-xr-xbin/emerge-webrsync4
1 files changed, 2 insertions, 2 deletions
diff --git a/bin/emerge-webrsync b/bin/emerge-webrsync
index f92c9262c..2bce994a9 100755
--- a/bin/emerge-webrsync
+++ b/bin/emerge-webrsync
@@ -51,7 +51,7 @@ fi
sync_local() {
echo Syncing local tree...
if type -p tarsync &> /dev/null; then
- if ! tarsync "${FILE}" "${PORTDIR}" -v -s 1 -o ${PORTAGE_INST_UID} -g ${PORTAGE_INST_GID} -e /distfiles -e /packages -e /local; then
+ if ! tarsync "${FILE}" "${PORTDIR}" -v -s 1 -o ${PORTAGE_INST_UID:-0} -g ${PORTAGE_INST_GID:-0} -e /distfiles -e /packages -e /local; then
echo "tarsync failed; tarball is corrupt?"
exit 1;
fi
@@ -64,7 +64,7 @@ sync_local() {
fi
rm -f $FILE
# Make sure user and group file ownership is ${PORTAGE_INST_UID}:${PORTAGE_INST_GID}
- chown -R ${PORTAGE_INST_UID}:${PORTAGE_INST_GID} portage
+ chown -R ${PORTAGE_INST_UID:-0}:${PORTAGE_INST_GID:-0} portage
cd portage
rsync -av --progress --stats --delete --delete-after \
--exclude='/distfiles' --exclude='/packages' \